// +build !minimal

#pragma once

#ifndef GO_QTBLUETOOTH_H
#define GO_QTBLUETOOTH_H

#include <stdint.h>

#ifdef __cplusplus
int QBluetoothDeviceDiscoveryAgent_QBluetoothDeviceDiscoveryAgent_QRegisterMetaType();
int QBluetoothLocalDevice_QBluetoothLocalDevice_QRegisterMetaType();
int QBluetoothServer_QBluetoothServer_QRegisterMetaType();
int QBluetoothServiceDiscoveryAgent_QBluetoothServiceDiscoveryAgent_QRegisterMetaType();
int QBluetoothSocket_QBluetoothSocket_QRegisterMetaType();
int QBluetoothTransferManager_QBluetoothTransferManager_QRegisterMetaType();
int QBluetoothTransferReply_QBluetoothTransferReply_QRegisterMetaType();
int QLowEnergyController_QLowEnergyController_QRegisterMetaType();
int QLowEnergyService_QLowEnergyService_QRegisterMetaType();
extern "C" {
#endif

struct QtBluetooth_PackedString { char* data; long long len; void* ptr; };
struct QtBluetooth_PackedList { void* data; long long len; };
void* QBluetoothAddress_NewQBluetoothAddress();
void* QBluetoothAddress_NewQBluetoothAddress2(unsigned long long address);
void* QBluetoothAddress_NewQBluetoothAddress3(struct QtBluetooth_PackedString address);
void* QBluetoothAddress_NewQBluetoothAddress4(void* other);
void QBluetoothAddress_Clear(void* ptr);
char QBluetoothAddress_IsNull(void* ptr);
struct QtBluetooth_PackedString QBluetoothAddress_ToString(void* ptr);
unsigned long long QBluetoothAddress_ToUInt64(void* ptr);
void QBluetoothAddress_DestroyQBluetoothAddress(void* ptr);
void* QBluetoothDeviceDiscoveryAgent_NewQBluetoothDeviceDiscoveryAgent(void* parent);
void* QBluetoothDeviceDiscoveryAgent_NewQBluetoothDeviceDiscoveryAgent2(void* deviceAdapter, void* parent);
void QBluetoothDeviceDiscoveryAgent_ConnectCanceled(void* ptr, long long t);
void QBluetoothDeviceDiscoveryAgent_DisconnectCanceled(void* ptr);
void QBluetoothDeviceDiscoveryAgent_Canceled(void* ptr);
void QBluetoothDeviceDiscoveryAgent_ConnectDeviceDiscovered(void* ptr, long long t);
void QBluetoothDeviceDiscoveryAgent_DisconnectDeviceDiscovered(void* ptr);
void QBluetoothDeviceDiscoveryAgent_DeviceDiscovered(void* ptr, void* info);
void QBluetoothDeviceDiscoveryAgent_ConnectDeviceUpdated(void* ptr, long long t);
void QBluetoothDeviceDiscoveryAgent_DisconnectDeviceUpdated(void* ptr);
void QBluetoothDeviceDiscoveryAgent_DeviceUpdated(void* ptr, void* info, long long updatedFields);
struct QtBluetooth_PackedList QBluetoothDeviceDiscoveryAgent_DiscoveredDevices(void* ptr);
long long QBluetoothDeviceDiscoveryAgent_Error(void* ptr);
void QBluetoothDeviceDiscoveryAgent_ConnectError2(void* ptr, long long t);
void QBluetoothDeviceDiscoveryAgent_DisconnectError2(void* ptr);
void QBluetoothDeviceDiscoveryAgent_Error2(void* ptr, long long error);
struct QtBluetooth_PackedString QBluetoothDeviceDiscoveryAgent_ErrorString(void* ptr);
void QBluetoothDeviceDiscoveryAgent_ConnectFinished(void* ptr, long long t);
void QBluetoothDeviceDiscoveryAgent_DisconnectFinished(void* ptr);
void QBluetoothDeviceDiscoveryAgent_Finished(void* ptr);
long long QBluetoothDeviceDiscoveryAgent_InquiryType(void* ptr);
char QBluetoothDeviceDiscoveryAgent_IsActive(void* ptr);
int QBluetoothDeviceDiscoveryAgent_LowEnergyDiscoveryTimeout(void* ptr);
void QBluetoothDeviceDiscoveryAgent_SetInquiryType(void* ptr, long long ty);
void QBluetoothDeviceDiscoveryAgent_SetLowEnergyDiscoveryTimeout(void* ptr, int timeout);
void QBluetoothDeviceDiscoveryAgent_Start(void* ptr);
void QBluetoothDeviceDiscoveryAgent_StartDefault(void* ptr);
void QBluetoothDeviceDiscoveryAgent_Start2(void* ptr, long long methods);
void QBluetoothDeviceDiscoveryAgent_Start2Default(void* ptr, long long methods);
void QBluetoothDeviceDiscoveryAgent_Stop(void* ptr);
void QBluetoothDeviceDiscoveryAgent_StopDefault(void* ptr);
long long QBluetoothDeviceDiscoveryAgent_QBluetoothDeviceDiscoveryAgent_SupportedDiscoveryMethods();
void QBluetoothDeviceDiscoveryAgent_DestroyQBluetoothDeviceDiscoveryAgent(void* ptr);
void QBluetoothDeviceDiscoveryAgent_DestroyQBluetoothDeviceDiscoveryAgentDefault(void* ptr);
void* QBluetoothDeviceDiscoveryAgent___discoveredDevices_atList(void* ptr, int i);
void QBluetoothDeviceDiscoveryAgent___discoveredDevices_setList(void* ptr, void* i);
void* QBluetoothDeviceDiscoveryAgent___discoveredDevices_newList(void* ptr);
void* QBluetoothDeviceDiscoveryAgent___children_atList(void* ptr, int i);
void QBluetoothDeviceDiscoveryAgent___children_setList(void* ptr, void* i);
void* QBluetoothDeviceDiscoveryAgent___children_newList(void* ptr);
void* QBluetoothDeviceDiscoveryAgent___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothDeviceDiscoveryAgent___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothDeviceDiscoveryAgent___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothDeviceDiscoveryAgent___findChildren_atList(void* ptr, int i);
void QBluetoothDeviceDiscoveryAgent___findChildren_setList(void* ptr, void* i);
void* QBluetoothDeviceDiscoveryAgent___findChildren_newList(void* ptr);
void* QBluetoothDeviceDiscoveryAgent___findChildren_atList3(void* ptr, int i);
void QBluetoothDeviceDiscoveryAgent___findChildren_setList3(void* ptr, void* i);
void* QBluetoothDeviceDiscoveryAgent___findChildren_newList3(void* ptr);
void QBluetoothDeviceDiscoveryAgent_ChildEventDefault(void* ptr, void* event);
void QBluetoothDeviceDiscoveryAgent_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothDeviceDiscoveryAgent_CustomEventDefault(void* ptr, void* event);
void QBluetoothDeviceDiscoveryAgent_DeleteLaterDefault(void* ptr);
void QBluetoothDeviceDiscoveryAgent_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothDeviceDiscoveryAgent_EventDefault(void* ptr, void* e);
char QBluetoothDeviceDiscoveryAgent_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothDeviceDiscoveryAgent_MetaObjectDefault(void* ptr);
void QBluetoothDeviceDiscoveryAgent_TimerEventDefault(void* ptr, void* event);
void* QBluetoothDeviceInfo_NewQBluetoothDeviceInfo();
void* QBluetoothDeviceInfo_NewQBluetoothDeviceInfo2(void* address, struct QtBluetooth_PackedString name, unsigned int classOfDevice);
void* QBluetoothDeviceInfo_NewQBluetoothDeviceInfo3(void* uuid, struct QtBluetooth_PackedString name, unsigned int classOfDevice);
void* QBluetoothDeviceInfo_NewQBluetoothDeviceInfo4(void* other);
void* QBluetoothDeviceInfo_Address(void* ptr);
long long QBluetoothDeviceInfo_CoreConfigurations(void* ptr);
void* QBluetoothDeviceInfo_DeviceUuid(void* ptr);
char QBluetoothDeviceInfo_IsCached(void* ptr);
char QBluetoothDeviceInfo_IsValid(void* ptr);
long long QBluetoothDeviceInfo_MajorDeviceClass(void* ptr);
struct QtBluetooth_PackedList QBluetoothDeviceInfo_ManufacturerIds(void* ptr);
struct QtBluetooth_PackedString QBluetoothDeviceInfo_MinorDeviceClass(void* ptr);
struct QtBluetooth_PackedString QBluetoothDeviceInfo_Name(void* ptr);
short QBluetoothDeviceInfo_Rssi(void* ptr);
long long QBluetoothDeviceInfo_ServiceClasses(void* ptr);
void QBluetoothDeviceInfo_SetCached(void* ptr, char cached);
void QBluetoothDeviceInfo_SetCoreConfigurations(void* ptr, long long coreConfigs);
void QBluetoothDeviceInfo_SetDeviceUuid(void* ptr, void* uuid);
char QBluetoothDeviceInfo_SetManufacturerData(void* ptr, unsigned short manufacturerId, void* data);
void QBluetoothDeviceInfo_SetRssi(void* ptr, short sign);
void QBluetoothDeviceInfo_SetServiceUuids2(void* ptr, void* uuids);
void QBluetoothDeviceInfo_DestroyQBluetoothDeviceInfo(void* ptr);
unsigned short QBluetoothDeviceInfo___manufacturerIds_atList(void* ptr, int i);
void QBluetoothDeviceInfo___manufacturerIds_setList(void* ptr, unsigned short i);
void* QBluetoothDeviceInfo___manufacturerIds_newList(void* ptr);
void* QBluetoothDeviceInfo___serviceUuids_atList(void* ptr, int i);
void QBluetoothDeviceInfo___serviceUuids_setList(void* ptr, void* i);
void* QBluetoothDeviceInfo___serviceUuids_newList(void* ptr);
void* QBluetoothDeviceInfo___setServiceUuids_uuids_atList(void* ptr, int i);
void QBluetoothDeviceInfo___setServiceUuids_uuids_setList(void* ptr, void* i);
void* QBluetoothDeviceInfo___setServiceUuids_uuids_newList(void* ptr);
void* QBluetoothDeviceInfo___setServiceUuids_uuids_atList2(void* ptr, int i);
void QBluetoothDeviceInfo___setServiceUuids_uuids_setList2(void* ptr, void* i);
void* QBluetoothDeviceInfo___setServiceUuids_uuids_newList2(void* ptr);
unsigned short QBluetoothDeviceInfo_____manufacturerData_keyList_atList2(void* ptr, int i);
void QBluetoothDeviceInfo_____manufacturerData_keyList_setList2(void* ptr, unsigned short i);
void* QBluetoothDeviceInfo_____manufacturerData_keyList_newList2(void* ptr);
void* QBluetoothHostInfo_NewQBluetoothHostInfo();
void* QBluetoothHostInfo_NewQBluetoothHostInfo2(void* other);
void* QBluetoothHostInfo_Address(void* ptr);
struct QtBluetooth_PackedString QBluetoothHostInfo_Name(void* ptr);
void QBluetoothHostInfo_SetAddress(void* ptr, void* address);
void QBluetoothHostInfo_SetName(void* ptr, struct QtBluetooth_PackedString name);
void QBluetoothHostInfo_DestroyQBluetoothHostInfo(void* ptr);
void* QBluetoothLocalDevice_NewQBluetoothLocalDevice(void* parent);
void* QBluetoothLocalDevice_NewQBluetoothLocalDevice2(void* address, void* parent);
void* QBluetoothLocalDevice_Address(void* ptr);
struct QtBluetooth_PackedList QBluetoothLocalDevice_QBluetoothLocalDevice_AllDevices();
struct QtBluetooth_PackedList QBluetoothLocalDevice_ConnectedDevices(void* ptr);
void QBluetoothLocalDevice_ConnectDeviceConnected(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectDeviceConnected(void* ptr);
void QBluetoothLocalDevice_DeviceConnected(void* ptr, void* address);
void QBluetoothLocalDevice_ConnectDeviceDisconnected(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectDeviceDisconnected(void* ptr);
void QBluetoothLocalDevice_DeviceDisconnected(void* ptr, void* address);
void QBluetoothLocalDevice_ConnectError(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectError(void* ptr);
void QBluetoothLocalDevice_Error(void* ptr, long long error);
long long QBluetoothLocalDevice_HostMode(void* ptr);
void QBluetoothLocalDevice_ConnectHostModeStateChanged(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectHostModeStateChanged(void* ptr);
void QBluetoothLocalDevice_HostModeStateChanged(void* ptr, long long state);
char QBluetoothLocalDevice_IsValid(void* ptr);
struct QtBluetooth_PackedString QBluetoothLocalDevice_Name(void* ptr);
void QBluetoothLocalDevice_PairingConfirmation(void* ptr, char confirmation);
void QBluetoothLocalDevice_PairingConfirmationDefault(void* ptr, char confirmation);
void QBluetoothLocalDevice_ConnectPairingDisplayConfirmation(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectPairingDisplayConfirmation(void* ptr);
void QBluetoothLocalDevice_PairingDisplayConfirmation(void* ptr, void* address, struct QtBluetooth_PackedString pin);
void QBluetoothLocalDevice_ConnectPairingDisplayPinCode(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectPairingDisplayPinCode(void* ptr);
void QBluetoothLocalDevice_PairingDisplayPinCode(void* ptr, void* address, struct QtBluetooth_PackedString pin);
void QBluetoothLocalDevice_ConnectPairingFinished(void* ptr, long long t);
void QBluetoothLocalDevice_DisconnectPairingFinished(void* ptr);
void QBluetoothLocalDevice_PairingFinished(void* ptr, void* address, long long pairing);
long long QBluetoothLocalDevice_PairingStatus(void* ptr, void* address);
void QBluetoothLocalDevice_PowerOn(void* ptr);
void QBluetoothLocalDevice_RequestPairing(void* ptr, void* address, long long pairing);
void QBluetoothLocalDevice_SetHostMode(void* ptr, long long mode);
void QBluetoothLocalDevice_DestroyQBluetoothLocalDevice(void* ptr);
void QBluetoothLocalDevice_DestroyQBluetoothLocalDeviceDefault(void* ptr);
void* QBluetoothLocalDevice___allDevices_atList(void* ptr, int i);
void QBluetoothLocalDevice___allDevices_setList(void* ptr, void* i);
void* QBluetoothLocalDevice___allDevices_newList(void* ptr);
void* QBluetoothLocalDevice___connectedDevices_atList(void* ptr, int i);
void QBluetoothLocalDevice___connectedDevices_setList(void* ptr, void* i);
void* QBluetoothLocalDevice___connectedDevices_newList(void* ptr);
void* QBluetoothLocalDevice___children_atList(void* ptr, int i);
void QBluetoothLocalDevice___children_setList(void* ptr, void* i);
void* QBluetoothLocalDevice___children_newList(void* ptr);
void* QBluetoothLocalDevice___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothLocalDevice___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothLocalDevice___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothLocalDevice___findChildren_atList(void* ptr, int i);
void QBluetoothLocalDevice___findChildren_setList(void* ptr, void* i);
void* QBluetoothLocalDevice___findChildren_newList(void* ptr);
void* QBluetoothLocalDevice___findChildren_atList3(void* ptr, int i);
void QBluetoothLocalDevice___findChildren_setList3(void* ptr, void* i);
void* QBluetoothLocalDevice___findChildren_newList3(void* ptr);
void QBluetoothLocalDevice_ChildEventDefault(void* ptr, void* event);
void QBluetoothLocalDevice_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothLocalDevice_CustomEventDefault(void* ptr, void* event);
void QBluetoothLocalDevice_DeleteLaterDefault(void* ptr);
void QBluetoothLocalDevice_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothLocalDevice_EventDefault(void* ptr, void* e);
char QBluetoothLocalDevice_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothLocalDevice_MetaObjectDefault(void* ptr);
void QBluetoothLocalDevice_TimerEventDefault(void* ptr, void* event);
void* QBluetoothServer_NewQBluetoothServer(long long serverType, void* parent);
void QBluetoothServer_Close(void* ptr);
long long QBluetoothServer_Error(void* ptr);
void QBluetoothServer_ConnectError2(void* ptr, long long t);
void QBluetoothServer_DisconnectError2(void* ptr);
void QBluetoothServer_Error2(void* ptr, long long error);
char QBluetoothServer_HasPendingConnections(void* ptr);
char QBluetoothServer_IsListening(void* ptr);
char QBluetoothServer_Listen(void* ptr, void* address, unsigned short port);
void* QBluetoothServer_Listen2(void* ptr, void* uuid, struct QtBluetooth_PackedString serviceName);
int QBluetoothServer_MaxPendingConnections(void* ptr);
void QBluetoothServer_ConnectNewConnection(void* ptr, long long t);
void QBluetoothServer_DisconnectNewConnection(void* ptr);
void QBluetoothServer_NewConnection(void* ptr);
void* QBluetoothServer_NextPendingConnection(void* ptr);
long long QBluetoothServer_SecurityFlags(void* ptr);
void* QBluetoothServer_ServerAddress(void* ptr);
unsigned short QBluetoothServer_ServerPort(void* ptr);
long long QBluetoothServer_ServerType(void* ptr);
void QBluetoothServer_SetMaxPendingConnections(void* ptr, int numConnections);
void QBluetoothServer_SetSecurityFlags(void* ptr, long long security);
void QBluetoothServer_DestroyQBluetoothServer(void* ptr);
void QBluetoothServer_DestroyQBluetoothServerDefault(void* ptr);
void* QBluetoothServer___children_atList(void* ptr, int i);
void QBluetoothServer___children_setList(void* ptr, void* i);
void* QBluetoothServer___children_newList(void* ptr);
void* QBluetoothServer___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothServer___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothServer___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothServer___findChildren_atList(void* ptr, int i);
void QBluetoothServer___findChildren_setList(void* ptr, void* i);
void* QBluetoothServer___findChildren_newList(void* ptr);
void* QBluetoothServer___findChildren_atList3(void* ptr, int i);
void QBluetoothServer___findChildren_setList3(void* ptr, void* i);
void* QBluetoothServer___findChildren_newList3(void* ptr);
void QBluetoothServer_ChildEventDefault(void* ptr, void* event);
void QBluetoothServer_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothServer_CustomEventDefault(void* ptr, void* event);
void QBluetoothServer_DeleteLaterDefault(void* ptr);
void QBluetoothServer_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothServer_EventDefault(void* ptr, void* e);
char QBluetoothServer_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothServer_MetaObjectDefault(void* ptr);
void QBluetoothServer_TimerEventDefault(void* ptr, void* event);
void* QBluetoothServiceDiscoveryAgent_NewQBluetoothServiceDiscoveryAgent(void* parent);
void* QBluetoothServiceDiscoveryAgent_NewQBluetoothServiceDiscoveryAgent2(void* deviceAdapter, void* parent);
void QBluetoothServiceDiscoveryAgent_ConnectCanceled(void* ptr, long long t);
void QBluetoothServiceDiscoveryAgent_DisconnectCanceled(void* ptr);
void QBluetoothServiceDiscoveryAgent_Canceled(void* ptr);
void QBluetoothServiceDiscoveryAgent_Clear(void* ptr);
void QBluetoothServiceDiscoveryAgent_ClearDefault(void* ptr);
struct QtBluetooth_PackedList QBluetoothServiceDiscoveryAgent_DiscoveredServices(void* ptr);
long long QBluetoothServiceDiscoveryAgent_Error(void* ptr);
void QBluetoothServiceDiscoveryAgent_ConnectError2(void* ptr, long long t);
void QBluetoothServiceDiscoveryAgent_DisconnectError2(void* ptr);
void QBluetoothServiceDiscoveryAgent_Error2(void* ptr, long long error);
struct QtBluetooth_PackedString QBluetoothServiceDiscoveryAgent_ErrorString(void* ptr);
void QBluetoothServiceDiscoveryAgent_ConnectFinished(void* ptr, long long t);
void QBluetoothServiceDiscoveryAgent_DisconnectFinished(void* ptr);
void QBluetoothServiceDiscoveryAgent_Finished(void* ptr);
char QBluetoothServiceDiscoveryAgent_IsActive(void* ptr);
void* QBluetoothServiceDiscoveryAgent_RemoteAddress(void* ptr);
void QBluetoothServiceDiscoveryAgent_ConnectServiceDiscovered(void* ptr, long long t);
void QBluetoothServiceDiscoveryAgent_DisconnectServiceDiscovered(void* ptr);
void QBluetoothServiceDiscoveryAgent_ServiceDiscovered(void* ptr, void* info);
char QBluetoothServiceDiscoveryAgent_SetRemoteAddress(void* ptr, void* address);
void QBluetoothServiceDiscoveryAgent_SetUuidFilter(void* ptr, void* uuids);
void QBluetoothServiceDiscoveryAgent_SetUuidFilter2(void* ptr, void* uuid);
void QBluetoothServiceDiscoveryAgent_Start(void* ptr, long long mode);
void QBluetoothServiceDiscoveryAgent_StartDefault(void* ptr, long long mode);
void QBluetoothServiceDiscoveryAgent_Stop(void* ptr);
void QBluetoothServiceDiscoveryAgent_StopDefault(void* ptr);
struct QtBluetooth_PackedList QBluetoothServiceDiscoveryAgent_UuidFilter(void* ptr);
void QBluetoothServiceDiscoveryAgent_DestroyQBluetoothServiceDiscoveryAgent(void* ptr);
void QBluetoothServiceDiscoveryAgent_DestroyQBluetoothServiceDiscoveryAgentDefault(void* ptr);
void* QBluetoothServiceDiscoveryAgent___discoveredServices_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___discoveredServices_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___discoveredServices_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___setUuidFilter_uuids_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___setUuidFilter_uuids_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___setUuidFilter_uuids_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___uuidFilter_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___uuidFilter_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___uuidFilter_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___children_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___children_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___children_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___findChildren_atList(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___findChildren_setList(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___findChildren_newList(void* ptr);
void* QBluetoothServiceDiscoveryAgent___findChildren_atList3(void* ptr, int i);
void QBluetoothServiceDiscoveryAgent___findChildren_setList3(void* ptr, void* i);
void* QBluetoothServiceDiscoveryAgent___findChildren_newList3(void* ptr);
void QBluetoothServiceDiscoveryAgent_ChildEventDefault(void* ptr, void* event);
void QBluetoothServiceDiscoveryAgent_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothServiceDiscoveryAgent_CustomEventDefault(void* ptr, void* event);
void QBluetoothServiceDiscoveryAgent_DeleteLaterDefault(void* ptr);
void QBluetoothServiceDiscoveryAgent_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothServiceDiscoveryAgent_EventDefault(void* ptr, void* e);
char QBluetoothServiceDiscoveryAgent_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothServiceDiscoveryAgent_MetaObjectDefault(void* ptr);
void QBluetoothServiceDiscoveryAgent_TimerEventDefault(void* ptr, void* event);
int QBluetoothServiceInfo_ServiceName_Type();
int QBluetoothServiceInfo_ServiceDescription_Type();
int QBluetoothServiceInfo_ServiceProvider_Type();
void* QBluetoothServiceInfo_NewQBluetoothServiceInfo();
void* QBluetoothServiceInfo_NewQBluetoothServiceInfo2(void* other);
void* QBluetoothServiceInfo_Attribute(void* ptr, unsigned short attributeId);
char QBluetoothServiceInfo_Contains(void* ptr, unsigned short attributeId);
void* QBluetoothServiceInfo_Device(void* ptr);
char QBluetoothServiceInfo_IsComplete(void* ptr);
char QBluetoothServiceInfo_IsRegistered(void* ptr);
char QBluetoothServiceInfo_IsValid(void* ptr);
int QBluetoothServiceInfo_ProtocolServiceMultiplexer(void* ptr);
char QBluetoothServiceInfo_RegisterService(void* ptr, void* localAdapter);
void QBluetoothServiceInfo_RemoveAttribute(void* ptr, unsigned short attributeId);
int QBluetoothServiceInfo_ServerChannel(void* ptr);
struct QtBluetooth_PackedString QBluetoothServiceInfo_ServiceAvailability(void* ptr);
struct QtBluetooth_PackedList QBluetoothServiceInfo_ServiceClassUuids(void* ptr);
struct QtBluetooth_PackedString QBluetoothServiceInfo_ServiceDescription(void* ptr);
struct QtBluetooth_PackedString QBluetoothServiceInfo_ServiceName(void* ptr);
struct QtBluetooth_PackedString QBluetoothServiceInfo_ServiceProvider(void* ptr);
void* QBluetoothServiceInfo_ServiceUuid(void* ptr);
void QBluetoothServiceInfo_SetAttribute(void* ptr, unsigned short attributeId, void* value);
void QBluetoothServiceInfo_SetAttribute2(void* ptr, unsigned short attributeId, void* value);
void QBluetoothServiceInfo_SetDevice(void* ptr, void* device);
void QBluetoothServiceInfo_SetServiceAvailability(void* ptr, char* availability);
void QBluetoothServiceInfo_SetServiceDescription(void* ptr, struct QtBluetooth_PackedString description);
void QBluetoothServiceInfo_SetServiceName(void* ptr, struct QtBluetooth_PackedString name);
void QBluetoothServiceInfo_SetServiceProvider(void* ptr, struct QtBluetooth_PackedString provider);
void QBluetoothServiceInfo_SetServiceUuid(void* ptr, void* uuid);
long long QBluetoothServiceInfo_SocketProtocol(void* ptr);
char QBluetoothServiceInfo_UnregisterService(void* ptr);
void QBluetoothServiceInfo_DestroyQBluetoothServiceInfo(void* ptr);
void* QBluetoothServiceInfo___serviceClassUuids_atList(void* ptr, int i);
void QBluetoothServiceInfo___serviceClassUuids_setList(void* ptr, void* i);
void* QBluetoothServiceInfo___serviceClassUuids_newList(void* ptr);
void* QBluetoothSocket_NewQBluetoothSocket(long long socketType, void* parent);
void* QBluetoothSocket_NewQBluetoothSocket2(void* parent);
void QBluetoothSocket_Abort(void* ptr);
long long QBluetoothSocket_BytesAvailableDefault(void* ptr);
long long QBluetoothSocket_BytesToWriteDefault(void* ptr);
char QBluetoothSocket_CanReadLineDefault(void* ptr);
void QBluetoothSocket_CloseDefault(void* ptr);
void QBluetoothSocket_ConnectToService(void* ptr, void* service, long long openMode);
void QBluetoothSocket_ConnectToService2(void* ptr, void* address, void* uuid, long long openMode);
void QBluetoothSocket_ConnectToService3(void* ptr, void* address, unsigned short port, long long openMode);
void QBluetoothSocket_ConnectConnected(void* ptr, long long t);
void QBluetoothSocket_DisconnectConnected(void* ptr);
void QBluetoothSocket_Connected(void* ptr);
void QBluetoothSocket_DisconnectFromService(void* ptr);
void QBluetoothSocket_ConnectDisconnected(void* ptr, long long t);
void QBluetoothSocket_DisconnectDisconnected(void* ptr);
void QBluetoothSocket_Disconnected(void* ptr);
void QBluetoothSocket_DoDeviceDiscovery(void* ptr, void* service, long long openMode);
long long QBluetoothSocket_Error(void* ptr);
void QBluetoothSocket_ConnectError2(void* ptr, long long t);
void QBluetoothSocket_DisconnectError2(void* ptr);
void QBluetoothSocket_Error2(void* ptr, long long error);
char QBluetoothSocket_IsSequentialDefault(void* ptr);
void* QBluetoothSocket_LocalAddress(void* ptr);
struct QtBluetooth_PackedString QBluetoothSocket_LocalName(void* ptr);
unsigned short QBluetoothSocket_LocalPort(void* ptr);
void* QBluetoothSocket_PeerAddress(void* ptr);
struct QtBluetooth_PackedString QBluetoothSocket_PeerName(void* ptr);
unsigned short QBluetoothSocket_PeerPort(void* ptr);
long long QBluetoothSocket_PreferredSecurityFlags(void* ptr);
long long QBluetoothSocket_ReadData(void* ptr, char* data, long long maxSize);
long long QBluetoothSocket_ReadDataDefault(void* ptr, char* data, long long maxSize);
void QBluetoothSocket_SetPreferredSecurityFlags(void* ptr, long long flags);
char QBluetoothSocket_SetSocketDescriptor(void* ptr, int socketDescriptor, long long socketType, long long socketState, long long openMode);
void QBluetoothSocket_SetSocketError(void* ptr, long long error_);
void QBluetoothSocket_SetSocketState(void* ptr, long long state);
int QBluetoothSocket_SocketDescriptor(void* ptr);
long long QBluetoothSocket_SocketType(void* ptr);
long long QBluetoothSocket_State(void* ptr);
void QBluetoothSocket_ConnectStateChanged(void* ptr, long long t);
void QBluetoothSocket_DisconnectStateChanged(void* ptr);
void QBluetoothSocket_StateChanged(void* ptr, long long state);
long long QBluetoothSocket_WriteData(void* ptr, char* data, long long maxSize);
long long QBluetoothSocket_WriteDataDefault(void* ptr, char* data, long long maxSize);
void QBluetoothSocket_DestroyQBluetoothSocket(void* ptr);
void QBluetoothSocket_DestroyQBluetoothSocketDefault(void* ptr);
void* QBluetoothSocket___children_atList(void* ptr, int i);
void QBluetoothSocket___children_setList(void* ptr, void* i);
void* QBluetoothSocket___children_newList(void* ptr);
void* QBluetoothSocket___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothSocket___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothSocket___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothSocket___findChildren_atList(void* ptr, int i);
void QBluetoothSocket___findChildren_setList(void* ptr, void* i);
void* QBluetoothSocket___findChildren_newList(void* ptr);
void* QBluetoothSocket___findChildren_atList3(void* ptr, int i);
void QBluetoothSocket___findChildren_setList3(void* ptr, void* i);
void* QBluetoothSocket___findChildren_newList3(void* ptr);
char QBluetoothSocket_AtEndDefault(void* ptr);
char QBluetoothSocket_OpenDefault(void* ptr, long long mode);
long long QBluetoothSocket_PosDefault(void* ptr);
long long QBluetoothSocket_ReadLineDataDefault(void* ptr, char* data, long long maxSize);
char QBluetoothSocket_ResetDefault(void* ptr);
char QBluetoothSocket_SeekDefault(void* ptr, long long pos);
long long QBluetoothSocket_SizeDefault(void* ptr);
char QBluetoothSocket_WaitForBytesWrittenDefault(void* ptr, int msecs);
char QBluetoothSocket_WaitForReadyReadDefault(void* ptr, int msecs);
void QBluetoothSocket_ChildEventDefault(void* ptr, void* event);
void QBluetoothSocket_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothSocket_CustomEventDefault(void* ptr, void* event);
void QBluetoothSocket_DeleteLaterDefault(void* ptr);
void QBluetoothSocket_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothSocket_EventDefault(void* ptr, void* e);
char QBluetoothSocket_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothSocket_MetaObjectDefault(void* ptr);
void QBluetoothSocket_TimerEventDefault(void* ptr, void* event);
void* QBluetoothTransferManager_NewQBluetoothTransferManager(void* parent);
void QBluetoothTransferManager_ConnectFinished(void* ptr, long long t);
void QBluetoothTransferManager_DisconnectFinished(void* ptr);
void QBluetoothTransferManager_Finished(void* ptr, void* reply);
void* QBluetoothTransferManager_Put(void* ptr, void* request, void* data);
void QBluetoothTransferManager_DestroyQBluetoothTransferManager(void* ptr);
void QBluetoothTransferManager_DestroyQBluetoothTransferManagerDefault(void* ptr);
void* QBluetoothTransferManager___children_atList(void* ptr, int i);
void QBluetoothTransferManager___children_setList(void* ptr, void* i);
void* QBluetoothTransferManager___children_newList(void* ptr);
void* QBluetoothTransferManager___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothTransferManager___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothTransferManager___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothTransferManager___findChildren_atList(void* ptr, int i);
void QBluetoothTransferManager___findChildren_setList(void* ptr, void* i);
void* QBluetoothTransferManager___findChildren_newList(void* ptr);
void* QBluetoothTransferManager___findChildren_atList3(void* ptr, int i);
void QBluetoothTransferManager___findChildren_setList3(void* ptr, void* i);
void* QBluetoothTransferManager___findChildren_newList3(void* ptr);
void QBluetoothTransferManager_ChildEventDefault(void* ptr, void* event);
void QBluetoothTransferManager_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothTransferManager_CustomEventDefault(void* ptr, void* event);
void QBluetoothTransferManager_DeleteLaterDefault(void* ptr);
void QBluetoothTransferManager_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothTransferManager_EventDefault(void* ptr, void* e);
char QBluetoothTransferManager_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothTransferManager_MetaObjectDefault(void* ptr);
void QBluetoothTransferManager_TimerEventDefault(void* ptr, void* event);
void* QBluetoothTransferReply_NewQBluetoothTransferReply(void* parent);
void QBluetoothTransferReply_Abort(void* ptr);
void QBluetoothTransferReply_AbortDefault(void* ptr);
long long QBluetoothTransferReply_Error(void* ptr);
void QBluetoothTransferReply_ConnectError2(void* ptr, long long t);
void QBluetoothTransferReply_DisconnectError2(void* ptr);
void QBluetoothTransferReply_Error2(void* ptr, long long errorType);
struct QtBluetooth_PackedString QBluetoothTransferReply_ErrorString(void* ptr);
void QBluetoothTransferReply_ConnectFinished(void* ptr, long long t);
void QBluetoothTransferReply_DisconnectFinished(void* ptr);
void QBluetoothTransferReply_Finished(void* ptr, void* reply);
char QBluetoothTransferReply_IsFinished(void* ptr);
char QBluetoothTransferReply_IsRunning(void* ptr);
void* QBluetoothTransferReply_Manager(void* ptr);
void* QBluetoothTransferReply_Request(void* ptr);
void QBluetoothTransferReply_SetManager(void* ptr, void* manager);
void QBluetoothTransferReply_SetRequest(void* ptr, void* request);
void QBluetoothTransferReply_ConnectTransferProgress(void* ptr, long long t);
void QBluetoothTransferReply_DisconnectTransferProgress(void* ptr);
void QBluetoothTransferReply_TransferProgress(void* ptr, long long bytesTransferred, long long bytesTotal);
void QBluetoothTransferReply_DestroyQBluetoothTransferReply(void* ptr);
void QBluetoothTransferReply_DestroyQBluetoothTransferReplyDefault(void* ptr);
void* QBluetoothTransferReply___children_atList(void* ptr, int i);
void QBluetoothTransferReply___children_setList(void* ptr, void* i);
void* QBluetoothTransferReply___children_newList(void* ptr);
void* QBluetoothTransferReply___dynamicPropertyNames_atList(void* ptr, int i);
void QBluetoothTransferReply___dynamicPropertyNames_setList(void* ptr, void* i);
void* QBluetoothTransferReply___dynamicPropertyNames_newList(void* ptr);
void* QBluetoothTransferReply___findChildren_atList(void* ptr, int i);
void QBluetoothTransferReply___findChildren_setList(void* ptr, void* i);
void* QBluetoothTransferReply___findChildren_newList(void* ptr);
void* QBluetoothTransferReply___findChildren_atList3(void* ptr, int i);
void QBluetoothTransferReply___findChildren_setList3(void* ptr, void* i);
void* QBluetoothTransferReply___findChildren_newList3(void* ptr);
void QBluetoothTransferReply_ChildEventDefault(void* ptr, void* event);
void QBluetoothTransferReply_ConnectNotifyDefault(void* ptr, void* sign);
void QBluetoothTransferReply_CustomEventDefault(void* ptr, void* event);
void QBluetoothTransferReply_DeleteLaterDefault(void* ptr);
void QBluetoothTransferReply_DisconnectNotifyDefault(void* ptr, void* sign);
char QBluetoothTransferReply_EventDefault(void* ptr, void* e);
char QBluetoothTransferReply_EventFilterDefault(void* ptr, void* watched, void* event);
void* QBluetoothTransferReply_MetaObjectDefault(void* ptr);
void QBluetoothTransferReply_TimerEventDefault(void* ptr, void* event);
void* QBluetoothTransferRequest_NewQBluetoothTransferRequest(void* address);
void* QBluetoothTransferRequest_NewQBluetoothTransferRequest2(void* other);
void* QBluetoothTransferRequest_Address(void* ptr);
void* QBluetoothTransferRequest_Attribute(void* ptr, long long code, void* defaultValue);
void QBluetoothTransferRequest_SetAttribute(void* ptr, long long code, void* value);
void QBluetoothTransferRequest_DestroyQBluetoothTransferRequest(void* ptr);
void* QBluetoothUuid_NewQBluetoothUuid();
void* QBluetoothUuid_NewQBluetoothUuid2(long long uuid);
void* QBluetoothUuid_NewQBluetoothUuid3(long long uuid);
void* QBluetoothUuid_NewQBluetoothUuid4(long long uuid);
void* QBluetoothUuid_NewQBluetoothUuid5(long long uuid);
void* QBluetoothUuid_NewQBluetoothUuid6(unsigned short uuid);
void* QBluetoothUuid_NewQBluetoothUuid7(unsigned int uuid);
void* QBluetoothUuid_NewQBluetoothUuid9(struct QtBluetooth_PackedString uuid);
void* QBluetoothUuid_NewQBluetoothUuid10(void* uuid);
void* QBluetoothUuid_NewQBluetoothUuid11(void* uuid);
struct QtBluetooth_PackedString QBluetoothUuid_QBluetoothUuid_CharacteristicToString(long long uuid);
struct QtBluetooth_PackedString QBluetoothUuid_QBluetoothUuid_DescriptorToString(long long uuid);
int QBluetoothUuid_MinimumSize(void* ptr);
struct QtBluetooth_PackedString QBluetoothUuid_QBluetoothUuid_ProtocolToString(long long uuid);
struct QtBluetooth_PackedString QBluetoothUuid_QBluetoothUuid_ServiceClassToString(long long uuid);
unsigned short QBluetoothUuid_ToUInt16(void* ptr, char* ok);
unsigned int QBluetoothUuid_ToUInt32(void* ptr, char* ok);
void QBluetoothUuid_DestroyQBluetoothUuid(void* ptr);
void* QLowEnergyAdvertisingData_NewQLowEnergyAdvertisingData();
void* QLowEnergyAdvertisingData_NewQLowEnergyAdvertisingData2(void* other);
long long QLowEnergyAdvertisingData_Discoverability(void* ptr);
char QLowEnergyAdvertisingData_IncludePowerLevel(void* ptr);
unsigned short QLowEnergyAdvertisingData_QLowEnergyAdvertisingData_InvalidManufacturerId();
struct QtBluetooth_PackedString QLowEnergyAdvertisingData_LocalName(void* ptr);
unsigned short QLowEnergyAdvertisingData_ManufacturerId(void* ptr);
void* QLowEnergyAdvertisingData_RawData(void* ptr);
struct QtBluetooth_PackedList QLowEnergyAdvertisingData_Services(void* ptr);
void QLowEnergyAdvertisingData_SetDiscoverability(void* ptr, long long mode);
void QLowEnergyAdvertisingData_SetIncludePowerLevel(void* ptr, char doInclude);
void QLowEnergyAdvertisingData_SetLocalName(void* ptr, struct QtBluetooth_PackedString name);
void QLowEnergyAdvertisingData_SetManufacturerData(void* ptr, unsigned short id, void* data);
void QLowEnergyAdvertisingData_SetRawData(void* ptr, void* data);
void QLowEnergyAdvertisingData_SetServices(void* ptr, void* services);
void QLowEnergyAdvertisingData_Swap(void* ptr, void* other);
void QLowEnergyAdvertisingData_DestroyQLowEnergyAdvertisingData(void* ptr);
void* QLowEnergyAdvertisingData___services_atList(void* ptr, int i);
void QLowEnergyAdvertisingData___services_setList(void* ptr, void* i);
void* QLowEnergyAdvertisingData___services_newList(void* ptr);
void* QLowEnergyAdvertisingData___setServices_services_atList(void* ptr, int i);
void QLowEnergyAdvertisingData___setServices_services_setList(void* ptr, void* i);
void* QLowEnergyAdvertisingData___setServices_services_newList(void* ptr);
void* QLowEnergyAdvertisingParameters_NewQLowEnergyAdvertisingParameters();
void* QLowEnergyAdvertisingParameters_NewQLowEnergyAdvertisingParameters2(void* other);
long long QLowEnergyAdvertisingParameters_FilterPolicy(void* ptr);
int QLowEnergyAdvertisingParameters_MaximumInterval(void* ptr);
int QLowEnergyAdvertisingParameters_MinimumInterval(void* ptr);
long long QLowEnergyAdvertisingParameters_Mode(void* ptr);
void QLowEnergyAdvertisingParameters_SetInterval(void* ptr, unsigned short minimum, unsigned short maximum);
void QLowEnergyAdvertisingParameters_SetMode(void* ptr, long long mode);
void QLowEnergyAdvertisingParameters_Swap(void* ptr, void* other);
void QLowEnergyAdvertisingParameters_DestroyQLowEnergyAdvertisingParameters(void* ptr);
void* QLowEnergyCharacteristic_NewQLowEnergyCharacteristic();
void* QLowEnergyCharacteristic_NewQLowEnergyCharacteristic2(void* other);
void* QLowEnergyCharacteristic_Descriptor(void* ptr, void* uuid);
struct QtBluetooth_PackedList QLowEnergyCharacteristic_Descriptors(void* ptr);
char QLowEnergyCharacteristic_IsValid(void* ptr);
struct QtBluetooth_PackedString QLowEnergyCharacteristic_Name(void* ptr);
long long QLowEnergyCharacteristic_Properties(void* ptr);
void* QLowEnergyCharacteristic_Uuid(void* ptr);
void* QLowEnergyCharacteristic_Value(void* ptr);
void QLowEnergyCharacteristic_DestroyQLowEnergyCharacteristic(void* ptr);
void* QLowEnergyCharacteristic___descriptors_atList(void* ptr, int i);
void QLowEnergyCharacteristic___descriptors_setList(void* ptr, void* i);
void* QLowEnergyCharacteristic___descriptors_newList(void* ptr);
void* QLowEnergyCharacteristicData_NewQLowEnergyCharacteristicData();
void* QLowEnergyCharacteristicData_NewQLowEnergyCharacteristicData2(void* other);
void QLowEnergyCharacteristicData_AddDescriptor(void* ptr, void* descriptor);
struct QtBluetooth_PackedList QLowEnergyCharacteristicData_Descriptors(void* ptr);
char QLowEnergyCharacteristicData_IsValid(void* ptr);
int QLowEnergyCharacteristicData_MaximumValueLength(void* ptr);
int QLowEnergyCharacteristicData_MinimumValueLength(void* ptr);
long long QLowEnergyCharacteristicData_Properties(void* ptr);
long long QLowEnergyCharacteristicData_ReadConstraints(void* ptr);
void QLowEnergyCharacteristicData_SetDescriptors(void* ptr, void* descriptors);
void QLowEnergyCharacteristicData_SetProperties(void* ptr, long long properties);
void QLowEnergyCharacteristicData_SetReadConstraints(void* ptr, long long constraints);
void QLowEnergyCharacteristicData_SetUuid(void* ptr, void* uuid);
void QLowEnergyCharacteristicData_SetValue(void* ptr, void* value);
void QLowEnergyCharacteristicData_SetValueLength(void* ptr, int minimum, int maximum);
void QLowEnergyCharacteristicData_SetWriteConstraints(void* ptr, long long constraints);
void QLowEnergyCharacteristicData_Swap(void* ptr, void* other);
void* QLowEnergyCharacteristicData_Uuid(void* ptr);
void* QLowEnergyCharacteristicData_Value(void* ptr);
long long QLowEnergyCharacteristicData_WriteConstraints(void* ptr);
void QLowEnergyCharacteristicData_DestroyQLowEnergyCharacteristicData(void* ptr);
void* QLowEnergyCharacteristicData___descriptors_atList(void* ptr, int i);
void QLowEnergyCharacteristicData___descriptors_setList(void* ptr, void* i);
void* QLowEnergyCharacteristicData___descriptors_newList(void* ptr);
void* QLowEnergyCharacteristicData___setDescriptors_descriptors_atList(void* ptr, int i);
void QLowEnergyCharacteristicData___setDescriptors_descriptors_setList(void* ptr, void* i);
void* QLowEnergyCharacteristicData___setDescriptors_descriptors_newList(void* ptr);
void* QLowEnergyConnectionParameters_NewQLowEnergyConnectionParameters();
void* QLowEnergyConnectionParameters_NewQLowEnergyConnectionParameters2(void* other);
int QLowEnergyConnectionParameters_Latency(void* ptr);
double QLowEnergyConnectionParameters_MaximumInterval(void* ptr);
double QLowEnergyConnectionParameters_MinimumInterval(void* ptr);
void QLowEnergyConnectionParameters_SetIntervalRange(void* ptr, double minimum, double maximum);
void QLowEnergyConnectionParameters_SetLatency(void* ptr, int latency);
void QLowEnergyConnectionParameters_SetSupervisionTimeout(void* ptr, int timeout);
int QLowEnergyConnectionParameters_SupervisionTimeout(void* ptr);
void QLowEnergyConnectionParameters_Swap(void* ptr, void* other);
void QLowEnergyConnectionParameters_DestroyQLowEnergyConnectionParameters(void* ptr);
void* QLowEnergyController_AddService(void* ptr, void* service, void* parent);
void QLowEnergyController_ConnectToDevice(void* ptr);
void QLowEnergyController_ConnectConnected(void* ptr, long long t);
void QLowEnergyController_DisconnectConnected(void* ptr);
void QLowEnergyController_Connected(void* ptr);
void QLowEnergyController_ConnectConnectionUpdated(void* ptr, long long t);
void QLowEnergyController_DisconnectConnectionUpdated(void* ptr);
void QLowEnergyController_ConnectionUpdated(void* ptr, void* newParameters);
void* QLowEnergyController_QLowEnergyController_CreateCentral(void* remoteDevice, void* parent);
void* QLowEnergyController_QLowEnergyController_CreatePeripheral(void* parent);
void* QLowEnergyController_CreateServiceObject(void* ptr, void* serviceUuid, void* parent);
void QLowEnergyController_DisconnectFromDevice(void* ptr);
void QLowEnergyController_ConnectDisconnected(void* ptr, long long t);
void QLowEnergyController_DisconnectDisconnected(void* ptr);
void QLowEnergyController_Disconnected(void* ptr);
void QLowEnergyController_DiscoverServices(void* ptr);
void QLowEnergyController_ConnectDiscoveryFinished(void* ptr, long long t);
void QLowEnergyController_DisconnectDiscoveryFinished(void* ptr);
void QLowEnergyController_DiscoveryFinished(void* ptr);
long long QLowEnergyController_Error(void* ptr);
void QLowEnergyController_ConnectError2(void* ptr, long long t);
void QLowEnergyController_DisconnectError2(void* ptr);
void QLowEnergyController_Error2(void* ptr, long long newError);
struct QtBluetooth_PackedString QLowEnergyController_ErrorString(void* ptr);
void* QLowEnergyController_LocalAddress(void* ptr);
void* QLowEnergyController_RemoteAddress(void* ptr);
long long QLowEnergyController_RemoteAddressType(void* ptr);
void* QLowEnergyController_RemoteDeviceUuid(void* ptr);
struct QtBluetooth_PackedString QLowEnergyController_RemoteName(void* ptr);
void QLowEnergyController_RequestConnectionUpdate(void* ptr, void* parameters);
long long QLowEnergyController_Role(void* ptr);
void QLowEnergyController_ConnectServiceDiscovered(void* ptr, long long t);
void QLowEnergyController_DisconnectServiceDiscovered(void* ptr);
void QLowEnergyController_ServiceDiscovered(void* ptr, void* newService);
struct QtBluetooth_PackedList QLowEnergyController_Services(void* ptr);
void QLowEnergyController_SetRemoteAddressType(void* ptr, long long ty);
void QLowEnergyController_StartAdvertising(void* ptr, void* parameters, void* advertisingData, void* scanResponseData);
long long QLowEnergyController_State(void* ptr);
void QLowEnergyController_ConnectStateChanged(void* ptr, long long t);
void QLowEnergyController_DisconnectStateChanged(void* ptr);
void QLowEnergyController_StateChanged(void* ptr, long long state);
void QLowEnergyController_StopAdvertising(void* ptr);
void QLowEnergyController_DestroyQLowEnergyController(void* ptr);
void QLowEnergyController_DestroyQLowEnergyControllerDefault(void* ptr);
void* QLowEnergyController___services_atList(void* ptr, int i);
void QLowEnergyController___services_setList(void* ptr, void* i);
void* QLowEnergyController___services_newList(void* ptr);
void* QLowEnergyController___children_atList(void* ptr, int i);
void QLowEnergyController___children_setList(void* ptr, void* i);
void* QLowEnergyController___children_newList(void* ptr);
void* QLowEnergyController___dynamicPropertyNames_atList(void* ptr, int i);
void QLowEnergyController___dynamicPropertyNames_setList(void* ptr, void* i);
void* QLowEnergyController___dynamicPropertyNames_newList(void* ptr);
void* QLowEnergyController___findChildren_atList(void* ptr, int i);
void QLowEnergyController___findChildren_setList(void* ptr, void* i);
void* QLowEnergyController___findChildren_newList(void* ptr);
void* QLowEnergyController___findChildren_atList3(void* ptr, int i);
void QLowEnergyController___findChildren_setList3(void* ptr, void* i);
void* QLowEnergyController___findChildren_newList3(void* ptr);
void QLowEnergyController_ChildEventDefault(void* ptr, void* event);
void QLowEnergyController_ConnectNotifyDefault(void* ptr, void* sign);
void QLowEnergyController_CustomEventDefault(void* ptr, void* event);
void QLowEnergyController_DeleteLaterDefault(void* ptr);
void QLowEnergyController_DisconnectNotifyDefault(void* ptr, void* sign);
char QLowEnergyController_EventDefault(void* ptr, void* e);
char QLowEnergyController_EventFilterDefault(void* ptr, void* watched, void* event);
void* QLowEnergyController_MetaObjectDefault(void* ptr);
void QLowEnergyController_TimerEventDefault(void* ptr, void* event);
void* QLowEnergyDescriptor_NewQLowEnergyDescriptor();
void* QLowEnergyDescriptor_NewQLowEnergyDescriptor2(void* other);
char QLowEnergyDescriptor_IsValid(void* ptr);
struct QtBluetooth_PackedString QLowEnergyDescriptor_Name(void* ptr);
long long QLowEnergyDescriptor_Type(void* ptr);
void* QLowEnergyDescriptor_Uuid(void* ptr);
void* QLowEnergyDescriptor_Value(void* ptr);
void QLowEnergyDescriptor_DestroyQLowEnergyDescriptor(void* ptr);
void* QLowEnergyDescriptorData_NewQLowEnergyDescriptorData();
void* QLowEnergyDescriptorData_NewQLowEnergyDescriptorData2(void* uuid, void* value);
void* QLowEnergyDescriptorData_NewQLowEnergyDescriptorData3(void* other);
char QLowEnergyDescriptorData_IsReadable(void* ptr);
char QLowEnergyDescriptorData_IsValid(void* ptr);
char QLowEnergyDescriptorData_IsWritable(void* ptr);
long long QLowEnergyDescriptorData_ReadConstraints(void* ptr);
void QLowEnergyDescriptorData_SetReadPermissions(void* ptr, char readable, long long constraints);
void QLowEnergyDescriptorData_SetUuid(void* ptr, void* uuid);
void QLowEnergyDescriptorData_SetValue(void* ptr, void* value);
void QLowEnergyDescriptorData_SetWritePermissions(void* ptr, char writable, long long constraints);
void QLowEnergyDescriptorData_Swap(void* ptr, void* other);
void* QLowEnergyDescriptorData_Uuid(void* ptr);
void* QLowEnergyDescriptorData_Value(void* ptr);
long long QLowEnergyDescriptorData_WriteConstraints(void* ptr);
void QLowEnergyDescriptorData_DestroyQLowEnergyDescriptorData(void* ptr);
void* QLowEnergyService_Characteristic(void* ptr, void* uuid);
void QLowEnergyService_ConnectCharacteristicChanged(void* ptr, long long t);
void QLowEnergyService_DisconnectCharacteristicChanged(void* ptr);
void QLowEnergyService_CharacteristicChanged(void* ptr, void* characteristic, void* newValue);
void QLowEnergyService_ConnectCharacteristicRead(void* ptr, long long t);
void QLowEnergyService_DisconnectCharacteristicRead(void* ptr);
void QLowEnergyService_CharacteristicRead(void* ptr, void* characteristic, void* value);
void QLowEnergyService_ConnectCharacteristicWritten(void* ptr, long long t);
void QLowEnergyService_DisconnectCharacteristicWritten(void* ptr);
void QLowEnergyService_CharacteristicWritten(void* ptr, void* characteristic, void* newValue);
struct QtBluetooth_PackedList QLowEnergyService_Characteristics(void* ptr);
char QLowEnergyService_Contains(void* ptr, void* characteristic);
char QLowEnergyService_Contains2(void* ptr, void* descriptor);
void QLowEnergyService_ConnectDescriptorRead(void* ptr, long long t);
void QLowEnergyService_DisconnectDescriptorRead(void* ptr);
void QLowEnergyService_DescriptorRead(void* ptr, void* descriptor, void* value);
void QLowEnergyService_ConnectDescriptorWritten(void* ptr, long long t);
void QLowEnergyService_DisconnectDescriptorWritten(void* ptr);
void QLowEnergyService_DescriptorWritten(void* ptr, void* descriptor, void* newValue);
void QLowEnergyService_DiscoverDetails(void* ptr);
long long QLowEnergyService_Error(void* ptr);
void QLowEnergyService_ConnectError2(void* ptr, long long t);
void QLowEnergyService_DisconnectError2(void* ptr);
void QLowEnergyService_Error2(void* ptr, long long newError);
struct QtBluetooth_PackedList QLowEnergyService_IncludedServices(void* ptr);
void QLowEnergyService_ReadCharacteristic(void* ptr, void* characteristic);
void QLowEnergyService_ReadDescriptor(void* ptr, void* descriptor);
struct QtBluetooth_PackedString QLowEnergyService_ServiceName(void* ptr);
void* QLowEnergyService_ServiceUuid(void* ptr);
long long QLowEnergyService_State(void* ptr);
void QLowEnergyService_ConnectStateChanged(void* ptr, long long t);
void QLowEnergyService_DisconnectStateChanged(void* ptr);
void QLowEnergyService_StateChanged(void* ptr, long long newState);
long long QLowEnergyService_Type(void* ptr);
void QLowEnergyService_WriteCharacteristic(void* ptr, void* characteristic, void* newValue, long long mode);
void QLowEnergyService_WriteDescriptor(void* ptr, void* descriptor, void* newValue);
void QLowEnergyService_DestroyQLowEnergyService(void* ptr);
void QLowEnergyService_DestroyQLowEnergyServiceDefault(void* ptr);
void* QLowEnergyService___characteristics_atList(void* ptr, int i);
void QLowEnergyService___characteristics_setList(void* ptr, void* i);
void* QLowEnergyService___characteristics_newList(void* ptr);
void* QLowEnergyService___includedServices_atList(void* ptr, int i);
void QLowEnergyService___includedServices_setList(void* ptr, void* i);
void* QLowEnergyService___includedServices_newList(void* ptr);
void* QLowEnergyService___children_atList(void* ptr, int i);
void QLowEnergyService___children_setList(void* ptr, void* i);
void* QLowEnergyService___children_newList(void* ptr);
void* QLowEnergyService___dynamicPropertyNames_atList(void* ptr, int i);
void QLowEnergyService___dynamicPropertyNames_setList(void* ptr, void* i);
void* QLowEnergyService___dynamicPropertyNames_newList(void* ptr);
void* QLowEnergyService___findChildren_atList(void* ptr, int i);
void QLowEnergyService___findChildren_setList(void* ptr, void* i);
void* QLowEnergyService___findChildren_newList(void* ptr);
void* QLowEnergyService___findChildren_atList3(void* ptr, int i);
void QLowEnergyService___findChildren_setList3(void* ptr, void* i);
void* QLowEnergyService___findChildren_newList3(void* ptr);
void QLowEnergyService_ChildEventDefault(void* ptr, void* event);
void QLowEnergyService_ConnectNotifyDefault(void* ptr, void* sign);
void QLowEnergyService_CustomEventDefault(void* ptr, void* event);
void QLowEnergyService_DeleteLaterDefault(void* ptr);
void QLowEnergyService_DisconnectNotifyDefault(void* ptr, void* sign);
char QLowEnergyService_EventDefault(void* ptr, void* e);
char QLowEnergyService_EventFilterDefault(void* ptr, void* watched, void* event);
void* QLowEnergyService_MetaObjectDefault(void* ptr);
void QLowEnergyService_TimerEventDefault(void* ptr, void* event);
void* QLowEnergyServiceData_NewQLowEnergyServiceData();
void* QLowEnergyServiceData_NewQLowEnergyServiceData2(void* other);
void QLowEnergyServiceData_AddCharacteristic(void* ptr, void* characteristic);
void QLowEnergyServiceData_AddIncludedService(void* ptr, void* service);
struct QtBluetooth_PackedList QLowEnergyServiceData_Characteristics(void* ptr);
struct QtBluetooth_PackedList QLowEnergyServiceData_IncludedServices(void* ptr);
char QLowEnergyServiceData_IsValid(void* ptr);
void QLowEnergyServiceData_SetCharacteristics(void* ptr, void* characteristics);
void QLowEnergyServiceData_SetIncludedServices(void* ptr, void* services);
void QLowEnergyServiceData_SetType(void* ptr, long long ty);
void QLowEnergyServiceData_SetUuid(void* ptr, void* uuid);
void QLowEnergyServiceData_Swap(void* ptr, void* other);
long long QLowEnergyServiceData_Type(void* ptr);
void* QLowEnergyServiceData_Uuid(void* ptr);
void QLowEnergyServiceData_DestroyQLowEnergyServiceData(void* ptr);
void* QLowEnergyServiceData___characteristics_atList(void* ptr, int i);
void QLowEnergyServiceData___characteristics_setList(void* ptr, void* i);
void* QLowEnergyServiceData___characteristics_newList(void* ptr);
void* QLowEnergyServiceData___includedServices_atList(void* ptr, int i);
void QLowEnergyServiceData___includedServices_setList(void* ptr, void* i);
void* QLowEnergyServiceData___includedServices_newList(void* ptr);
void* QLowEnergyServiceData___setCharacteristics_characteristics_atList(void* ptr, int i);
void QLowEnergyServiceData___setCharacteristics_characteristics_setList(void* ptr, void* i);
void* QLowEnergyServiceData___setCharacteristics_characteristics_newList(void* ptr);
void* QLowEnergyServiceData___setIncludedServices_services_atList(void* ptr, int i);
void QLowEnergyServiceData___setIncludedServices_services_setList(void* ptr, void* i);
void* QLowEnergyServiceData___setIncludedServices_services_newList(void* ptr);

#ifdef __cplusplus
}
#endif

#endif