// +build !minimal

#pragma once

#ifndef GO_QTGAMEPAD_H
#define GO_QTGAMEPAD_H

#include <stdint.h>

#ifdef __cplusplus
int QGamepad_QGamepad_QRegisterMetaType();
int QGamepadKeyNavigation_QGamepadKeyNavigation_QRegisterMetaType();
int QGamepadManager_QGamepadManager_QRegisterMetaType();
extern "C" {
#endif

struct QtGamepad_PackedString { char* data; long long len; void* ptr; };
struct QtGamepad_PackedList { void* data; long long len; };
void* QGamepad_NewQGamepad(int deviceId, void* parent);
double QGamepad_AxisLeftX(void* ptr);
void QGamepad_ConnectAxisLeftXChanged(void* ptr, long long t);
void QGamepad_DisconnectAxisLeftXChanged(void* ptr);
void QGamepad_AxisLeftXChanged(void* ptr, double value);
double QGamepad_AxisLeftY(void* ptr);
void QGamepad_ConnectAxisLeftYChanged(void* ptr, long long t);
void QGamepad_DisconnectAxisLeftYChanged(void* ptr);
void QGamepad_AxisLeftYChanged(void* ptr, double value);
double QGamepad_AxisRightX(void* ptr);
void QGamepad_ConnectAxisRightXChanged(void* ptr, long long t);
void QGamepad_DisconnectAxisRightXChanged(void* ptr);
void QGamepad_AxisRightXChanged(void* ptr, double value);
double QGamepad_AxisRightY(void* ptr);
void QGamepad_ConnectAxisRightYChanged(void* ptr, long long t);
void QGamepad_DisconnectAxisRightYChanged(void* ptr);
void QGamepad_AxisRightYChanged(void* ptr, double value);
char QGamepad_ButtonA(void* ptr);
void QGamepad_ConnectButtonAChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonAChanged(void* ptr);
void QGamepad_ButtonAChanged(void* ptr, char value);
char QGamepad_ButtonB(void* ptr);
void QGamepad_ConnectButtonBChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonBChanged(void* ptr);
void QGamepad_ButtonBChanged(void* ptr, char value);
char QGamepad_ButtonCenter(void* ptr);
void QGamepad_ConnectButtonCenterChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonCenterChanged(void* ptr);
void QGamepad_ButtonCenterChanged(void* ptr, char value);
char QGamepad_ButtonDown(void* ptr);
void QGamepad_ConnectButtonDownChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonDownChanged(void* ptr);
void QGamepad_ButtonDownChanged(void* ptr, char value);
char QGamepad_ButtonGuide(void* ptr);
void QGamepad_ConnectButtonGuideChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonGuideChanged(void* ptr);
void QGamepad_ButtonGuideChanged(void* ptr, char value);
char QGamepad_ButtonL1(void* ptr);
void QGamepad_ConnectButtonL1Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonL1Changed(void* ptr);
void QGamepad_ButtonL1Changed(void* ptr, char value);
double QGamepad_ButtonL2(void* ptr);
void QGamepad_ConnectButtonL2Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonL2Changed(void* ptr);
void QGamepad_ButtonL2Changed(void* ptr, double value);
char QGamepad_ButtonL3(void* ptr);
void QGamepad_ConnectButtonL3Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonL3Changed(void* ptr);
void QGamepad_ButtonL3Changed(void* ptr, char value);
char QGamepad_ButtonLeft(void* ptr);
void QGamepad_ConnectButtonLeftChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonLeftChanged(void* ptr);
void QGamepad_ButtonLeftChanged(void* ptr, char value);
char QGamepad_ButtonR1(void* ptr);
void QGamepad_ConnectButtonR1Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonR1Changed(void* ptr);
void QGamepad_ButtonR1Changed(void* ptr, char value);
double QGamepad_ButtonR2(void* ptr);
void QGamepad_ConnectButtonR2Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonR2Changed(void* ptr);
void QGamepad_ButtonR2Changed(void* ptr, double value);
char QGamepad_ButtonR3(void* ptr);
void QGamepad_ConnectButtonR3Changed(void* ptr, long long t);
void QGamepad_DisconnectButtonR3Changed(void* ptr);
void QGamepad_ButtonR3Changed(void* ptr, char value);
char QGamepad_ButtonRight(void* ptr);
void QGamepad_ConnectButtonRightChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonRightChanged(void* ptr);
void QGamepad_ButtonRightChanged(void* ptr, char value);
char QGamepad_ButtonSelect(void* ptr);
void QGamepad_ConnectButtonSelectChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonSelectChanged(void* ptr);
void QGamepad_ButtonSelectChanged(void* ptr, char value);
char QGamepad_ButtonStart(void* ptr);
void QGamepad_ConnectButtonStartChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonStartChanged(void* ptr);
void QGamepad_ButtonStartChanged(void* ptr, char value);
char QGamepad_ButtonUp(void* ptr);
void QGamepad_ConnectButtonUpChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonUpChanged(void* ptr);
void QGamepad_ButtonUpChanged(void* ptr, char value);
char QGamepad_ButtonX(void* ptr);
void QGamepad_ConnectButtonXChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonXChanged(void* ptr);
void QGamepad_ButtonXChanged(void* ptr, char value);
char QGamepad_ButtonY(void* ptr);
void QGamepad_ConnectButtonYChanged(void* ptr, long long t);
void QGamepad_DisconnectButtonYChanged(void* ptr);
void QGamepad_ButtonYChanged(void* ptr, char value);
void QGamepad_ConnectConnectedChanged(void* ptr, long long t);
void QGamepad_DisconnectConnectedChanged(void* ptr);
void QGamepad_ConnectedChanged(void* ptr, char value);
int QGamepad_DeviceId(void* ptr);
void QGamepad_ConnectDeviceIdChanged(void* ptr, long long t);
void QGamepad_DisconnectDeviceIdChanged(void* ptr);
void QGamepad_DeviceIdChanged(void* ptr, int value);
char QGamepad_IsConnected(void* ptr);
struct QtGamepad_PackedString QGamepad_Name(void* ptr);
void QGamepad_ConnectNameChanged(void* ptr, long long t);
void QGamepad_DisconnectNameChanged(void* ptr);
void QGamepad_NameChanged(void* ptr, struct QtGamepad_PackedString value);
void QGamepad_SetDeviceId(void* ptr, int number);
void QGamepad_SetDeviceIdDefault(void* ptr, int number);
void* QGamepad___children_atList(void* ptr, int i);
void QGamepad___children_setList(void* ptr, void* i);
void* QGamepad___children_newList(void* ptr);
void* QGamepad___dynamicPropertyNames_atList(void* ptr, int i);
void QGamepad___dynamicPropertyNames_setList(void* ptr, void* i);
void* QGamepad___dynamicPropertyNames_newList(void* ptr);
void* QGamepad___findChildren_atList(void* ptr, int i);
void QGamepad___findChildren_setList(void* ptr, void* i);
void* QGamepad___findChildren_newList(void* ptr);
void* QGamepad___findChildren_atList3(void* ptr, int i);
void QGamepad___findChildren_setList3(void* ptr, void* i);
void* QGamepad___findChildren_newList3(void* ptr);
void QGamepad_ChildEventDefault(void* ptr, void* event);
void QGamepad_ConnectNotifyDefault(void* ptr, void* sign);
void QGamepad_CustomEventDefault(void* ptr, void* event);
void QGamepad_DeleteLaterDefault(void* ptr);
void QGamepad_DisconnectNotifyDefault(void* ptr, void* sign);
char QGamepad_EventDefault(void* ptr, void* e);
char QGamepad_EventFilterDefault(void* ptr, void* watched, void* event);
void* QGamepad_MetaObjectDefault(void* ptr);
void QGamepad_TimerEventDefault(void* ptr, void* event);
void* QGamepadKeyNavigation_NewQGamepadKeyNavigation(void* parent);
char QGamepadKeyNavigation_Active(void* ptr);
void QGamepadKeyNavigation_ConnectActiveChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectActiveChanged(void* ptr);
void QGamepadKeyNavigation_ActiveChanged(void* ptr, char isActive);
long long QGamepadKeyNavigation_ButtonAKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonAKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonAKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonAKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonBKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonBKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonBKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonBKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonGuideKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonGuideKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonGuideKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonGuideKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonL1Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonL1KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonL1KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonL1KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonL2Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonL2KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonL2KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonL2KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonL3Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonL3KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonL3KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonL3KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonR1Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonR1KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonR1KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonR1KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonR2Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonR2KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonR2KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonR2KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonR3Key(void* ptr);
void QGamepadKeyNavigation_ConnectButtonR3KeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonR3KeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonR3KeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonSelectKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonSelectKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonSelectKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonSelectKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonStartKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonStartKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonStartKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonStartKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonXKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonXKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonXKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonXKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_ButtonYKey(void* ptr);
void QGamepadKeyNavigation_ConnectButtonYKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectButtonYKeyChanged(void* ptr);
void QGamepadKeyNavigation_ButtonYKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_DownKey(void* ptr);
void QGamepadKeyNavigation_ConnectDownKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectDownKeyChanged(void* ptr);
void QGamepadKeyNavigation_DownKeyChanged(void* ptr, long long key);
void* QGamepadKeyNavigation_Gamepad(void* ptr);
void QGamepadKeyNavigation_ConnectGamepadChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectGamepadChanged(void* ptr);
void QGamepadKeyNavigation_GamepadChanged(void* ptr, void* gamepad);
long long QGamepadKeyNavigation_LeftKey(void* ptr);
void QGamepadKeyNavigation_ConnectLeftKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectLeftKeyChanged(void* ptr);
void QGamepadKeyNavigation_LeftKeyChanged(void* ptr, long long key);
long long QGamepadKeyNavigation_RightKey(void* ptr);
void QGamepadKeyNavigation_ConnectRightKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectRightKeyChanged(void* ptr);
void QGamepadKeyNavigation_RightKeyChanged(void* ptr, long long key);
void QGamepadKeyNavigation_SetActive(void* ptr, char isActive);
void QGamepadKeyNavigation_SetActiveDefault(void* ptr, char isActive);
void QGamepadKeyNavigation_SetButtonAKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonAKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonBKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonBKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonGuideKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonGuideKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL1Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL1KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL2Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL2KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL3Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonL3KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR1Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR1KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR2Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR2KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR3Key(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonR3KeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonSelectKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonSelectKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonStartKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonStartKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonXKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonXKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonYKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetButtonYKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetDownKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetDownKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetGamepad(void* ptr, void* gamepad);
void QGamepadKeyNavigation_SetGamepadDefault(void* ptr, void* gamepad);
void QGamepadKeyNavigation_SetLeftKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetLeftKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetRightKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetRightKeyDefault(void* ptr, long long key);
void QGamepadKeyNavigation_SetUpKey(void* ptr, long long key);
void QGamepadKeyNavigation_SetUpKeyDefault(void* ptr, long long key);
long long QGamepadKeyNavigation_UpKey(void* ptr);
void QGamepadKeyNavigation_ConnectUpKeyChanged(void* ptr, long long t);
void QGamepadKeyNavigation_DisconnectUpKeyChanged(void* ptr);
void QGamepadKeyNavigation_UpKeyChanged(void* ptr, long long key);
void* QGamepadKeyNavigation___children_atList(void* ptr, int i);
void QGamepadKeyNavigation___children_setList(void* ptr, void* i);
void* QGamepadKeyNavigation___children_newList(void* ptr);
void* QGamepadKeyNavigation___dynamicPropertyNames_atList(void* ptr, int i);
void QGamepadKeyNavigation___dynamicPropertyNames_setList(void* ptr, void* i);
void* QGamepadKeyNavigation___dynamicPropertyNames_newList(void* ptr);
void* QGamepadKeyNavigation___findChildren_atList(void* ptr, int i);
void QGamepadKeyNavigation___findChildren_setList(void* ptr, void* i);
void* QGamepadKeyNavigation___findChildren_newList(void* ptr);
void* QGamepadKeyNavigation___findChildren_atList3(void* ptr, int i);
void QGamepadKeyNavigation___findChildren_setList3(void* ptr, void* i);
void* QGamepadKeyNavigation___findChildren_newList3(void* ptr);
void QGamepadKeyNavigation_ChildEventDefault(void* ptr, void* event);
void QGamepadKeyNavigation_ConnectNotifyDefault(void* ptr, void* sign);
void QGamepadKeyNavigation_CustomEventDefault(void* ptr, void* event);
void QGamepadKeyNavigation_DeleteLaterDefault(void* ptr);
void QGamepadKeyNavigation_DisconnectNotifyDefault(void* ptr, void* sign);
char QGamepadKeyNavigation_EventDefault(void* ptr, void* e);
char QGamepadKeyNavigation_EventFilterDefault(void* ptr, void* watched, void* event);
void* QGamepadKeyNavigation_MetaObjectDefault(void* ptr);
void QGamepadKeyNavigation_TimerEventDefault(void* ptr, void* event);
struct QtGamepad_PackedList QGamepadManager_ConnectedGamepads(void* ptr);
void QGamepadManager_ConnectConnectedGamepadsChanged(void* ptr, long long t);
void QGamepadManager_DisconnectConnectedGamepadsChanged(void* ptr);
void QGamepadManager_ConnectedGamepadsChanged(void* ptr);
struct QtGamepad_PackedString QGamepadManager_GamepadName(void* ptr, int deviceId);
void* QGamepadManager_QGamepadManager_Instance();
char QGamepadManager_IsConfigurationNeeded(void* ptr, int deviceId);
char QGamepadManager_IsConfigurationNeededDefault(void* ptr, int deviceId);
char QGamepadManager_IsGamepadConnected(void* ptr, int deviceId);
void QGamepadManager_ResetConfiguration(void* ptr, int deviceId);
void QGamepadManager_ResetConfigurationDefault(void* ptr, int deviceId);
void QGamepadManager_SetSettingsFile(void* ptr, struct QtGamepad_PackedString file);
void QGamepadManager_SetSettingsFileDefault(void* ptr, struct QtGamepad_PackedString file);
int QGamepadManager___connectedGamepads_atList(void* ptr, int i);
void QGamepadManager___connectedGamepads_setList(void* ptr, int i);
void* QGamepadManager___connectedGamepads_newList(void* ptr);
void* QGamepadManager___children_atList(void* ptr, int i);
void QGamepadManager___children_setList(void* ptr, void* i);
void* QGamepadManager___children_newList(void* ptr);
void* QGamepadManager___dynamicPropertyNames_atList(void* ptr, int i);
void QGamepadManager___dynamicPropertyNames_setList(void* ptr, void* i);
void* QGamepadManager___dynamicPropertyNames_newList(void* ptr);
void* QGamepadManager___findChildren_atList(void* ptr, int i);
void QGamepadManager___findChildren_setList(void* ptr, void* i);
void* QGamepadManager___findChildren_newList(void* ptr);
void* QGamepadManager___findChildren_atList3(void* ptr, int i);
void QGamepadManager___findChildren_setList3(void* ptr, void* i);
void* QGamepadManager___findChildren_newList3(void* ptr);
void QGamepadManager_ChildEventDefault(void* ptr, void* event);
void QGamepadManager_ConnectNotifyDefault(void* ptr, void* sign);
void QGamepadManager_CustomEventDefault(void* ptr, void* event);
void QGamepadManager_DeleteLaterDefault(void* ptr);
void QGamepadManager_DisconnectNotifyDefault(void* ptr, void* sign);
char QGamepadManager_EventDefault(void* ptr, void* e);
char QGamepadManager_EventFilterDefault(void* ptr, void* watched, void* event);
void* QGamepadManager_MetaObjectDefault(void* ptr);
void QGamepadManager_TimerEventDefault(void* ptr, void* event);

#ifdef __cplusplus
}
#endif

#endif